import request from '@/utils/request'

export function notificationUnreadList() {
    return request({
        url: '/notification/unread',
        method: 'get',
    })
}

export function notificationList(params) {
    return request({
        url: '/notification',
        method: 'get',
        params
    })
}

export function notificationRead(data) {
    return request({
        url: '/notification/mark-as-read',
        method: 'post',
        data
    })
}

export function userInfo() {
    return request({
        url: '/user/details',
        method: 'get',
    })
}