import Vue from 'vue'
import store from '@/store'

const hasPermissions = Vue.directive('hasPermissions', {
  inserted: function (el, binding, vnode) {
    let str = binding.rawName.replace('v-hasPermissions:', '')
    const rolesList = store.getters.roles.permissions
    let temp = []
    rolesList.forEach(element => {
        temp.push(element.name)
    });
    if(!temp.includes(str)) {
        el.parentNode && el.parentNode.removeChild(el) || (el.style.display = 'none')
        return false
    }else {
        return true
    }
  }
})

export default hasPermissions
