import antdEnUS from 'ant-design-vue/es/locale-provider/en_US'
import momentEU from 'moment/locale/eu'
import global from './en-US/global'

import menu from './en-US/menu'
import asset from './en-US/asset/asset'
import project from './en-US/project/project'
import company from './en-US/company/company'
import requirement from './en-US/requirement/requirement'
import doc from './en-US/doc/doc'
import set from './en-US/set/set'
import mail from './en-US/mail/mail'
import setting from './en-US/setting'
import Approval from './en-US/Approval/Approval'
import user from './en-US/user'
import editor from './en-US/editor'
import dashboard from './en-US/dashboard'
import form from './en-US/form'
import result from './en-US/result'
import account from './en-US/account'

const components = {
  antLocale: antdEnUS,
  momentName: 'eu',
  momentLocale: momentEU,
}

export default {
  message: '-',

  'layouts.usermenu.dialog.title': 'Message',
  'layouts.usermenu.dialog.content': 'Are you sure you would like to logout?',
  'layouts.userLayout.title': 'Ant Design is the most influential web design specification in Xihu district',
  ...components,
  ...global,
  ...menu,
  ...setting,
  ...user,
  ...dashboard,
  ...form,
  ...result,
  ...account,
  ...asset,
  ...project,
  ...company,
  ...doc,
  ...set,
  ...mail,
  ...requirement,
  ...Approval,
  ...editor
}
