import request from '@/utils/request'

export function assetGroupList (params) {
  return request({
    url: '/asset-group',
    method: 'get',
    params
  })
}

export function assetGroupListItems (params) {
  return request({
    url: '/asset-group-items',
    method: 'get',
    params
  })
}

export function assetGroupAdd(data) {
  return request({
    url: '/asset-group',
    method: 'post',
    data
  })
}

export function assetGroupEdit(id,data) {
  return request({
    url: `/asset-group/${id}`,
    method: 'patch',
    data
  })
}

export function assetGroupDetails(id) {
  return request({
    url: `/asset-group/${id}`,
    method: 'get',
  })
}

export function assetGroupDelete(id) {
  return request({
    url: `/asset-group/${id}`,
    method: 'delete'
  })
}


