// eslint-disable-next-line
import { UserLayout, BasicLayout, PageView } from '@/layouts'
import { asset, requirement, project, company, document, setting, approval, dashboard } from '@/core/icons'

const RouteView = {
  name: 'RouteView',
  render: (h) => h('router-view'),
}

export const asyncRouterMap = [
  // {
  //   path: '/',
  //   name: 'index',
  //   component: BasicLayout,
  //   meta: {
  //     title: 'menu.home',
  //   },
  //   redirect: '/baseInfo',
  //   children: [
  //     // dashboard
  //     // {
  //     //   path: '/dashboard',
  //     //   name: 'dashboard',
  //     //   redirect: '/dashboard/workplace',
  //     //   component: RouteView,
  //     //   meta: {
  //     //     title: 'menu.dashboard',
  //     //     keepAlive: true,
  //     //     icon: asset,
  //     //   },
  //       // children: [
  //         // {
  //         //   path: '/dashboard/analysis/:pageNo([1-9]\\d*)?',
  //         //   name: 'Analysis',
  //         //   component: () => import('@/views/dashboard/Analysis'),
  //         //   meta: {
  //         //     title: 'menu.dashboard.analysis',
  //         //     keepAlive: false,
  //         //   },
  //         // },
  //         // 外部链接
  //         // {
  //         //   path: 'https://www.baidu.com/',
  //         //   name: 'Monitor',
  //         //   meta: { title: 'menu.dashboard.monitor', target: '_blank' }
  //         // },
  //         // {
  //         //   path: '/dashboard/workplace',
  //         //   name: 'Workplace',
  //         //   component: () => import('@/views/dashboard/Workplace'),
  //         //   meta: {
  //         //     title: 'menu.dashboard.workplace',
  //         //     keepAlive: true,
  //         //   },
  //         // },
  //       // ],
  //     // },
  //     // {
  //     //   path: '/dashboard/workplace',
  //     //   name: 'Workplace',
  //     //   component: () => import('@/views/dashboard/Workplace'),
  //     //   meta: {
  //     //     title: 'menu.dashboard.workplace',
  //     //     keepAlive: true,
  //     //     icon: asset,
  //     //   },
  //     // },
  //     {
  //       path: '/',
  //       name: 'AssetDashboard',
  //       component: () => import('@/views/asset/Dashboard'),
  //       meta: {
  //         title: 'menu.asset-dashboard',
  //         keepAlive: true,
  //         icon: dashboard,
  //         // permission: ['AssetDashboard'],
  //       },
  //     },
  //     {
  //       path: '/asset',
  //       name: 'asset',
  //       redirect: '/asset/groups',
  //       component: RouteView,
  //       meta: {
  //         title: 'menu.asset',
  //         keepAlive: true,
  //         icon: asset,
  //         permission: ['Asset'],
  //       },
  //       children: [
  //         {
  //           path: '/asset/groups',
  //           name: 'AssetGroups',
  //           component: () => import('@/views/asset/groups/Groups'),
  //           meta: {
  //             title: 'menu.asset-groups',
  //             keepAlive: true,
  //             permission: ['AssetGroup'],
  //           },
  //         },
  //         {
  //           path: '/asset/Allasset',
  //           name: 'AllAsset',
  //           component: () => import('@/views/asset/all/AllAsset'),
  //           meta: {
  //             title: 'menu.asset-all',
  //             keepAlive: true,
  //             permission: ['AllAsset'],
  //           },
  //         },
  //         {
  //           path: '/asset/AddModify',
  //           name: 'AssetAddModify',
  //           hidden: true,
  //           component: () => import('@/views/asset/all/AddModify'),
  //           meta: {
  //             title: 'Asset AddModify',
  //             keepAlive: true,
  //             activeMenu: '/asset/Allasset',
  //           },
  //         },
  //         {
  //           path: '/asset/Overview',
  //           name: 'AssetOverview',
  //           hidden: true,
  //           component: () => import('@/views/asset/all/Overview'),
  //           meta: {
  //             title: 'Asset Overview',
  //             keepAlive: true,
  //           },
  //         },
  //         {
  //           path: '/asset/AssetPlans',
  //           name: 'AssetPlans',
  //           component: () => import('@/views/asset/plans/AssetPlans'),
  //           meta: {
  //             title: 'menu.asset-plans',
  //             keepAlive: true,
  //             permission: ['AssetPlan'],
  //           },
  //         },
  //         {
  //           path: '/asset/PlansAddModify',
  //           name: 'AssetPlansAddModify',
  //           hidden: true,
  //           component: () => import('@/views/asset/plans/AddModify'),
  //           meta: {
  //             title: 'Asset Plans',
  //             keepAlive: true,
  //             activeMenu: '/asset/AssetPlans',
  //           },
  //         },
  //         {
  //           path: '/asset/PlanDetail',
  //           name: 'AssetPlanDetail',
  //           hidden: true,
  //           component: () => import('@/views/asset/plans/PlanDetail'),
  //           meta: {
  //             title: 'Asset Plans',
  //             keepAlive: true,
  //             activeMenu: '/asset/AssetPlans',
  //           },
  //         },
  //         {
  //           path: '/asset/ChildPlansAddModify',
  //           name: 'AssetChildPlansAddModify',
  //           hidden: true,
  //           component: () => import('@/views/asset/plans/ChildAddModify'),
  //           meta: {
  //             title: 'Asset Plans',
  //             keepAlive: true,
  //             activeMenu: '/asset/AssetPlans',
  //           },
  //         },
  //       ],
  //     },
  //     {
  //       path: '/requirement',
  //       name: 'requirement',
  //       redirect: '/requirement/RequirementGroups',
  //       component: RouteView,
  //       meta: {
  //         title: 'menu.requirement',
  //         keepAlive: true,
  //         icon: requirement,
  //         permission: ['Requirement'],
  //       },
  //       children: [
  //         {
  //           path: '/requirement/RequirementGroups',
  //           name: 'RequirementGroups',
  //           component: () => import('@/views/requirement/RequirementGroups'),
  //           meta: {
  //             title: 'menu.requirement-groups',
  //             keepAlive: true,
  //             permission: ['RequirementGroups'],
  //           },
  //         },
  //         {
  //           path: '/requirement/Requirement',
  //           name: 'AllRequirement',
  //           component: () => import('@/views/requirement/Requirement'),
  //           meta: {
  //             title: 'menu.requirement-all',
  //             keepAlive: true,
  //             permission: ['AllRequirement'],
  //           },
  //         },
  //         {
  //           path: '/requirement/RequirementAddModify',
  //           name: 'RequirementAddModify',
  //           hidden: true,
  //           component: () => import('@/views/requirement/AddModify'),
  //           meta: {
  //             title: 'Requirement',
  //             keepAlive: true,
  //           },
  //         },
  //         {
  //           path: '/requirement/RequirementOverview',
  //           name: 'RequirementOverview',
  //           hidden: true,
  //           component: () => import('@/views/requirement/Overview.vue'),
  //           meta: {
  //             title: 'Requirement',
  //             keepAlive: true,
  //           },
  //         },
  //       ],
  //     },
  //     {
  //       path: '/project',
  //       name: 'project',
  //       redirect: '/project/Allproject',
  //       component: RouteView,
  //       meta: {
  //         title: 'menu.project',
  //         keepAlive: true,
  //         icon: project,
  //         permission: ['Project'],
  //       },
  //       children: [
  //         // {
  //         //   path: '/project/dashboard',
  //         //   name: 'ProjectDashboard',
  //         //   component: () => import('@/views/project/Dashboard'),
  //         //   meta: {
  //         //     title: 'Project Dashboard',
  //         //     keepAlive: true,
  //         //   },
  //         // },
  //         {
  //           path: '/project/Allproject',
  //           name: 'AllProject',
  //           component: () => import('@/views/project/all/AllProject'),
  //           meta: {
  //             title: 'menu.project-all',
  //             keepAlive: true,
  //             permission: ['AllProject'],
  //           },
  //         },
  //         {
  //           path: '/project/AddModify',
  //           name: 'ProjectAddModify',
  //           component: () => import('@/views/project/all/AddModify.vue'),
  //           hidden: true,
  //           meta: {
  //             title: 'Project AddModify',
  //             keepAlive: true,
  //             activeMenu: '/project/Allproject',
  //           },
  //         },
  //         {
  //           path: '/project/ProjectDetail',
  //           name: 'ProjectDetail',
  //           component: () => import('@/views/project/detail/index.vue'),
  //           hidden: true,
  //           redirect: '/project/ProjectDetail/Overview',
  //           meta: {
  //             title: 'Project Detail',
  //             keepAlive: true,
  //             activeMenu: '/project/Allproject',
  //           },
  //           children: [
  //             {
  //               path: '/project/ProjectDetail/Overview',
  //               name: 'ProjectDetailOverview',
  //               component: () => import('@/views/project/detail/Overview.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail Overview',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //                 permission: ['ProjectOverview'],
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/Requirement',
  //               name: 'ProjectDetailRequriement',
  //               component: () => import('@/views/project/detail/Requriement.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail Requriement',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //                 permission: ['ProjectRequement'],
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/Task',
  //               name: 'ProjectDetailTask',
  //               component: () => import('@/views/project/detail/Task.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail Task',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //                 permission: ['ProjectTask'],
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/TaskCreate',
  //               name: 'ProjectDetailTaskCreate',
  //               component: () => import('@/views/project/detail/TaskCreate.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail TaskCreate',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/TaskEdit',
  //               name: 'ProjectDetailTaskEdit',
  //               component: () => import('@/views/project/detail/TaskEdit.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail TaskEdit',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/TaskBatch',
  //               name: 'ProjectDetailTaskBatch',
  //               component: () => import('@/views/project/detail/TaskBatch.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail TaskBatch',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/TaskView',
  //               name: 'ProjectDetailTaskView',
  //               component: () => import('@/views/project/detail/TaskView.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail TaskView',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/KanBan',
  //               name: 'ProjectDetailKanBan',
  //               component: () => import('@/views/project/detail/KanBan.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail KanBan',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //                 permission: ['KanBan'],
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/GroupView',
  //               name: 'ProjectDetailGroupView',
  //               component: () => import('@/views/project/detail/GroupView.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail GroupView',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //                 permission: ['GroupView'],
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/Gantt',
  //               name: 'ProjectDetailGantt',
  //               component: () => import('@/views/project/detail/Gantt.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail Gantt',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //                 permission: ['Gantt'],
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/Team',
  //               name: 'ProjectDetailTeam',
  //               component: () => import('@/views/project/detail/Team.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail Team',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //                 permission: ['Team'],
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/TeamManage',
  //               name: 'ProjectDetailTeamManage',
  //               component: () => import('@/views/project/detail/TeamManage.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail TeamManage',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/Dynamics',
  //               name: 'ProjectDetailDynamics',
  //               component: () => import('@/views/project/detail/Dynamics.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail Dynamics',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //                 permission: ['Dynamics'],
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/LinkRequriement',
  //               name: 'ProjectLinkRequriement',
  //               component: () => import('@/views/project/detail/LinkRequriement.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail Link Requriement',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //               },
  //             },
  //             {
  //               path: '/project/ProjectDetail/LinkAsset',
  //               name: 'ProjectLinkAsset',
  //               component: () => import('@/views/project/detail/LinkAsset.vue'),
  //               hidden: true,
  //               meta: {
  //                 title: 'Project Detail Link Asset',
  //                 keepAlive: true,
  //                 activeMenu: '/project/Allproject',
  //               },
  //             },
  //           ],
  //         },
  //       ],
  //     },
  //     // forms
  //     // {
  //     //   path: '/form',
  //     //   redirect: '/form/base-form',
  //     //   component: RouteView,
  //     //   meta: {
  //     //     title: 'menu.form',
  //     //     icon: 'form',
  //     //     permission: ['form'],
  //     //   },
  //     //   children: [
  //     //     {
  //     //       path: '/form/base-form',
  //     //       name: 'BaseForm',
  //     //       component: () => import('@/views/form/basicForm'),
  //     //       meta: {
  //     //         title: 'menu.form.basic-form',
  //     //         keepAlive: true,
  //     //         permission: ['form'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/form/step-form',
  //     //       name: 'StepForm',
  //     //       component: () => import('@/views/form/stepForm/StepForm'),
  //     //       meta: {
  //     //         title: 'menu.form.step-form',
  //     //         keepAlive: true,
  //     //         permission: ['form'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/form/advanced-form',
  //     //       name: 'AdvanceForm',
  //     //       component: () => import('@/views/form/advancedForm/AdvancedForm'),
  //     //       meta: {
  //     //         title: 'menu.form.advanced-form',
  //     //         keepAlive: true,
  //     //         permission: ['form'],
  //     //       },
  //     //     },
  //     //   ],
  //     // },
  //     // list
  //     // {
  //     //   path: '/list',
  //     //   name: 'list',
  //     //   component: RouteView,
  //     //   redirect: '/list/table-list',
  //     //   meta: {
  //     //     title: 'menu.list',
  //     //     icon: 'table',
  //     //     permission: ['dashboard'],
  //     //   },
  //     //   children: [
  //     //     {
  //     //       path: '/list/table-list/:pageNo([1-9]\\d*)?',
  //     //       name: 'TableListWrapper',
  //     //       hideChildrenInMenu: true, // 强制显示 MenuItem 而不是 SubMenu
  //     //       component: () => import('@/views/list/TableList'),
  //     //       meta: {
  //     //         title: 'menu.list.table-list',
  //     //         keepAlive: true,
  //     //         permission: ['table'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/list/basic-list',
  //     //       name: 'BasicList',
  //     //       component: () => import('@/views/list/BasicList'),
  //     //       meta: {
  //     //         title: 'menu.list.basic-list',
  //     //         keepAlive: true,
  //     //         permission: ['table'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/list/card',
  //     //       name: 'CardList',
  //     //       component: () => import('@/views/list/CardList'),
  //     //       meta: {
  //     //         title: 'menu.list.card-list',
  //     //         keepAlive: true,
  //     //         permission: ['table'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/list/table',
  //     //       name: 'TableEdit',
  //     //       component: () => import('@/views/list/table/Edit'),
  //     //       meta: {
  //     //         title: 'menu.list.card-list',
  //     //         keepAlive: true,
  //     //         permission: ['table'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/list/List',
  //     //       name: 'TableList',
  //     //       component: () => import('@/views/list/table/List'),
  //     //       meta: {
  //     //         title: 'menu.list.card-list',
  //     //         keepAlive: true,
  //     //         permission: ['table'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/list/search',
  //     //       name: 'SearchList',
  //     //       component: () => import('@/views/list/search/SearchLayout'),
  //     //       redirect: '/list/search/article',
  //     //       meta: {
  //     //         title: 'menu.list.search-list',
  //     //         keepAlive: true,
  //     //         permission: ['table'],
  //     //       },
  //     //       children: [
  //     //         {
  //     //           path: '/list/search/article',
  //     //           name: 'SearchArticles',
  //     //           component: () => import('../views/list/search/Article'),
  //     //           meta: {
  //     //             title: 'menu.list.search-list.articles',
  //     //             permission: ['table'],
  //     //           },
  //     //         },
  //     //         {
  //     //           path: '/list/search/project',
  //     //           name: 'SearchProjects',
  //     //           component: () => import('../views/list/search/Projects'),
  //     //           meta: {
  //     //             title: 'menu.list.search-list.projects',
  //     //             permission: ['table'],
  //     //           },
  //     //         },
  //     //         {
  //     //           path: '/list/search/application',
  //     //           name: 'SearchApplications',
  //     //           component: () => import('../views/list/search/Applications'),
  //     //           meta: {
  //     //             title: 'menu.list.search-list.applications',
  //     //             permission: ['table'],
  //     //           },
  //     //         },
  //     //       ],
  //     //     },
  //     //   ],
  //     // },

  //     // profile
  //     // {
  //     //   path: '/profile',
  //     //   name: 'profile',
  //     //   component: RouteView,
  //     //   redirect: '/profile/basic',
  //     //   meta: {
  //     //     title: 'menu.profile',
  //     //     icon: 'profile',
  //     //     permission: ['profile'],
  //     //   },
  //     //   children: [
  //     //     {
  //     //       path: '/profile/basic',
  //     //       name: 'ProfileBasic',
  //     //       component: () => import('@/views/profile/basic'),
  //     //       meta: {
  //     //         title: 'menu.profile.basic',
  //     //         permission: ['profile'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/profile/advanced',
  //     //       name: 'ProfileAdvanced',
  //     //       component: () => import('@/views/profile/advanced/Advanced'),
  //     //       meta: {
  //     //         title: 'menu.profile.advanced',
  //     //         permission: ['profile'],
  //     //       },
  //     //     },
  //     //   ],
  //     // },

  //     // result
  //     // {
  //     //   path: '/result',
  //     //   name: 'result',
  //     //   component: RouteView,
  //     //   redirect: '/result/success',
  //     //   meta: {
  //     //     title: 'menu.result',
  //     //     icon: 'check-circle-o',
  //     //     permission: ['result'],
  //     //   },
  //     //   children: [
  //     //     {
  //     //       path: '/result/success',
  //     //       name: 'ResultSuccess',
  //     //       component: () => import(/* webpackChunkName: "result" */ '@/views/result/Success'),
  //     //       meta: {
  //     //         title: 'menu.result.success',
  //     //         keepAlive: false,
  //     //         hiddenHeaderContent: true,
  //     //         permission: ['result'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/result/fail',
  //     //       name: 'ResultFail',
  //     //       component: () => import(/* webpackChunkName: "result" */ '@/views/result/Error'),
  //     //       meta: {
  //     //         title: 'menu.result.fail',
  //     //         keepAlive: false,
  //     //         hiddenHeaderContent: true,
  //     //         permission: ['result'],
  //     //       },
  //     //     },
  //     //   ],
  //     // },

  //     // Exception
  //     // {
  //     //   path: '/exception',
  //     //   name: 'exception',
  //     //   component: RouteView,
  //     //   redirect: '/exception/403',
  //     //   meta: {
  //     //     title: 'menu.exception',
  //     //     icon: 'warning',
  //     //     permission: ['exception'],
  //     //   },
  //     //   children: [
  //     //     {
  //     //       path: '/exception/403',
  //     //       name: 'Exception403',
  //     //       component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/403'),
  //     //       meta: {
  //     //         title: 'menu.exception.not-permission',
  //     //         permission: ['exception'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/exception/404',
  //     //       name: 'Exception404',
  //     //       component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404'),
  //     //       meta: {
  //     //         title: 'menu.exception.not-find',
  //     //         permission: ['exception'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/exception/500',
  //     //       name: 'Exception500',
  //     //       component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/500'),
  //     //       meta: {
  //     //         title: 'menu.exception.server-error',
  //     //         permission: ['exception'],
  //     //       },
  //     //     },
  //     //   ],
  //     // },

  //     // other
  //     // {
  //     //   path: '/other',
  //     //   name: 'otherPage',
  //     //   component: PageView,
  //     //   meta: {
  //     //     title: '其他组件',
  //     //     icon: 'slack',
  //     //     permission: ['dashboard'],
  //     //   },
  //     //   redirect: '/other/icon-selector',
  //     //   children: [
  //     //     {
  //     //       path: '/other/icon-selector',
  //     //       name: 'TestIconSelect',
  //     //       component: () => import('@/views/other/IconSelectorView'),
  //     //       meta: {
  //     //         title: 'IconSelector',
  //     //         icon: 'tool',
  //     //         keepAlive: true,
  //     //         permission: ['dashboard'],
  //     //       },
  //     //     },
  //     //     {
  //     //       path: '/other/list',
  //     //       component: RouteView,
  //     //       meta: {
  //     //         title: '业务布局',
  //     //         icon: 'layout',
  //     //         permission: ['support'],
  //     //       },
  //     //       redirect: '/other/list/tree-list',
  //     //       children: [
  //     //         {
  //     //           path: '/other/list/tree-list',
  //     //           name: 'TreeList',
  //     //           component: () => import('@/views/other/TreeList'),
  //     //           meta: {
  //     //             title: '树目录表格',
  //     //             keepAlive: true,
  //     //           },
  //     //         },
  //     //         {
  //     //           path: '/other/list/edit-table',
  //     //           name: 'EditList',
  //     //           component: () => import('@/views/other/TableInnerEditList'),
  //     //           meta: {
  //     //             title: '内联编辑表格',
  //     //             keepAlive: true,
  //     //           },
  //     //         },
  //     //         {
  //     //           path: '/other/list/user-list',
  //     //           name: 'UserList',
  //     //           component: () => import('@/views/other/UserList'),
  //     //           meta: {
  //     //             title: '用户列表',
  //     //             keepAlive: true,
  //     //           },
  //     //         },
  //     //         {
  //     //           path: '/other/list/role-list',
  //     //           name: 'RoleList',
  //     //           component: () => import('@/views/other/RoleList'),
  //     //           meta: {
  //     //             title: '角色列表',
  //     //             keepAlive: true,
  //     //           },
  //     //         },
  //     //         {
  //     //           path: '/other/list/permission-list',
  //     //           name: 'PermissionList',
  //     //           component: () => import('@/views/other/PermissionList'),
  //     //           meta: {
  //     //             title: '权限列表',
  //     //             keepAlive: true,
  //     //           },
  //     //         },
  //     //       ],
  //     //     },
  //     //   ],
  //     // },
  //     {
  //       path: '/company',
  //       name: 'company',
  //       component: RouteView,
  //       meta: {
  //         title: 'menu.company',
  //         keepAlive: true,
  //         icon: company,
  //         permission: ['Company'],
  //       },
  //       children: [
  //         {
  //           path: '/company/company',
  //           name: 'CompanyCompany',
  //           component: () => import('@/views/company/company'),
  //           meta: {
  //             title: 'menu.company-all',
  //             keepAlive: true,
  //             permission: ['AllCompany'],
  //           },
  //         },
  //         {
  //           path: '/company/user',
  //           name: 'CompanyUser',
  //           component: () => import('@/views/company/user'),
  //           meta: {
  //             title: 'menu.company-user',
  //             keepAlive: true,
  //             permission: ['CompanyUser'],
  //           },
  //         },
  //         {
  //           path: '/company/UserAddModify',
  //           name: 'CompanyUserAddModify',
  //           hidden: true,
  //           component: () => import('@/views/company/user/AddModify'),
  //           meta: {
  //             title: 'Company User AddModify',
  //             keepAlive: true,
  //           },
  //         },
  //         {
  //           path: '/company/UserBatchAdd',
  //           name: 'CompanyUserBatchAdd',
  //           hidden: true,
  //           component: () => import('@/views/company/user/BatchAdd'),
  //           meta: {
  //             title: 'Company User BatchAdd',
  //             keepAlive: true,
  //           },
  //         },
  //         {
  //           path: '/company/Departments',
  //           name: 'CompanyDepartments',
  //           component: () => import('@/views/company/departments'),
  //           meta: {
  //             title: 'menu.company-departments',
  //             keepAlive: true,
  //             permission: ['CompanyDepartments'],
  //           },
  //         },
  //         {
  //           path: '/company/Privilege',
  //           name: 'CompanyPrivilege',
  //           component: () => import('@/views/company/Privilege'),
  //           meta: {
  //             title: 'menu.company-roles',
  //             keepAlive: true,
  //             permission: ['RolesPrivilege'],
  //           },
  //         },
  //         {
  //           path: '/company/roles/Privilege',
  //           name: 'CompanyRolesPrivilege',
  //           component: () => import('@/views/company/Privilege/privilege.vue'),
  //           hidden: true,
  //           meta: {
  //             title: 'Company Roles Privilege',
  //             keepAlive: true,
  //           },
  //         },
  //       ],
  //     },
  //     {
  //       path: '/document',
  //       name: 'document',
  //       component: RouteView,
  //       meta: {
  //         title: 'menu.document',
  //         keepAlive: true,
  //         icon: document,
  //         permission: ['Document'],
  //       },
  //       children: [
  //         {
  //           path: '/document/dashboard',
  //           name: 'DocumentDashboard',
  //           component: () => import('@/views/document/dashboard'),
  //           meta: {
  //             title: 'menu.document-dashboard',
  //             keepAlive: true,
  //             permission: ['DocumentDashboard'],
  //           },
  //         },
  //         {
  //           path: '/document/containerDetails',
  //           name: 'ContainerDetails',
  //           component: () => import('@/views/document/containerDetails.vue'),
  //           hidden: true,
  //           meta: {
  //             title: 'Document ContainerDetails',
  //             keepAlive: true,
  //             activeMenu: '/document/dashboard',
  //           },
  //         },
  //       ],
  //     },
  //     {
  //       path: '/Approval',
  //       name: 'Approval',
  //       component: RouteView,
  //       meta: {
  //         title: 'menu.Approval',
  //         keepAlive: true,
  //         icon: approval,
  //         permission: ['Approval'],
  //       },
  //       children: [
  //         {
  //           path: '/Approval/Flow',
  //           name: 'ApprovalFlow',
  //           component: () => import('@/views/Approval/index'),
  //           meta: {
  //             title: 'menu.Approval-Flow',
  //             keepAlive: true,
  //             permission: ['ApprovalFlowSetting'],
  //           },
  //         },
  //         {
  //           path: '/Approval/List',
  //           name: 'ApprovalList',
  //           component: () => import('@/views/Approval/List.vue'),
  //           meta: {
  //             title: 'menu.Approval-List',
  //             keepAlive: true,
  //             permission: ['ApprovalList'],
  //           },
  //         },
  //         {
  //           path: '/Approval/Details',
  //           name: 'ApprovalDetails',
  //           component: () => import('@/views/Approval/ApprovalDetails.vue'),
  //           hidden: true,
  //           meta: {
  //             title: 'Approval Details',
  //             keepAlive: true,
  //           },
  //         }
  //       ],
  //     },
  //     {
  //       path: '/setting',
  //       name: 'setting',
  //       component: RouteView,
  //       meta: {
  //         title: 'Setting',
  //         title: 'menu.setting',
  //         keepAlive: true,
  //         icon: setting,
  //         permission: ['Setting'],
  //       },
  //       children: [
  //         {
  //           path: '/setting/OperationLog',
  //           name: 'SettingOperationLog',
  //           component: () => import('@/views/setting/OperationLog'),
  //           meta: {
  //             title: 'menu.operarionlog',
  //             keepAlive: true,
  //             activeMenu: '/setting',
  //             permission: ['OperationLog'],
  //           },
  //         },
  //         {
  //           path: '/setting/NamingRule',
  //           name: 'SettingNamingRule',
  //           component: () => import('@/views/setting/NamingRule'),
  //           meta: {
  //             title: 'menu.namerule',
  //             keepAlive: true,
  //             activeMenu: '/setting',
  //             permission: ['NamingRule'],
  //           },
  //         },
  //         {
  //           path: '/setting/LinkNamingRule',
  //           name: 'SettingLinkNamingRule',
  //           component: () => import('@/views/setting/LinkNamingRule'),
  //           hidden: true,
  //           meta: {
  //             title: 'LinkNamingRule',
  //             keepAlive: true,
  //             activeMenu: '/setting',
  //           },
  //         },
  //         {
  //           path: '/setting/Dictionary',
  //           name: 'SettingDictionary',
  //           component: () => import('@/views/setting/Dictionary'),
  //           redirect: '/setting/DictionaryType',
  //           meta: {
  //             title: 'menu.dictionary',
  //             keepAlive: true,
  //             activeMenu: '/setting',
  //             permission: ['Dictionary'],
  //           },
  //           children: [
  //             {
  //               path: '/setting/DictionaryType',
  //               name: 'SettingDictionaryType',
  //               component: () => import('@/views/setting/DictionaryType.vue'),
  //               meta: {
  //                 title: 'menu.dictionary-setting',
  //                 keepAlive: true,
  //                 activeMenu: '/setting',
  //                 permission: ['SettingDictionary'],
  //               },
  //             },
  //           ],
  //         },
  //         {
  //           path: '/setting/Notification',
  //           name: 'SettingNotification',
  //           component: () => import('@/views/setting/Notification'),
  //           redirect: '/setting/Notification/Mail',
  //           meta: {
  //             title: 'menu.notification',
  //             keepAlive: true,
  //             activeMenu: '/setting',
  //             permission: ['Notification'],
  //           },
  //           children: [
  //             {
  //               path: '/setting/Notification/Mail',
  //               name: 'NotificationMail',
  //               component: () => import('@/views/setting/Mail.vue'),
  //               meta: {
  //                 title: 'menu.mail',
  //                 keepAlive: true,
  //                 activeMenu: '/setting/Notification',
  //                 permission: ['Mail'],
  //               },
  //             },
  //             {
  //               path: '/setting/Notification/Browser',
  //               name: 'NotificationBrowser',
  //               component: () => import('@/views/setting/Browser.vue'),
  //               meta: {
  //                 title: 'menu.browser',
  //                 keepAlive: true,
  //                 activeMenu: '/setting/Notification',
  //                 permission: ['Browser'],
  //               },
  //             },
  //             {
  //               path: '/setting/Notification/Settings',
  //               name: 'NotificationSettings',
  //               component: () => import('@/views/setting/Settings.vue'),
  //               meta: {
  //                 title: 'menu.settings',
  //                 keepAlive: true,
  //                 activeMenu: '/setting/Notification',
  //                 permission: ['Settings'],
  //               },
  //             },
  //           ],
  //         },
  //       ],
  //     },
  //     {
  //       path: '/mail',
  //       name: 'mail',
  //       component: RouteView,
  //       meta: {
  //         title: 'mail',
  //       },
  //       hidden: true,
  //       component: () => import('@/views/mail/index.vue'),
  //     },
  //     {
  //       path: '/userInfo',
  //       name: 'userInfo',
  //       component: RouteView,
  //       meta: {
  //         title: 'userInfo',
  //       },
  //       hidden: true,
  //       component: () => import('@/views/userInfo/index.vue'),
  //     },
  //   ],
  // },
  // {
  //   path: '*',
  //   redirect: '/404',
  //   hidden: true,
  // },
  {
    path: '/',
    name: 'baseInfo',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/user/BaseInfo'),
  },
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login'),
      },
      {
        path: 'old-register',
        name: 'oldRegister',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/OldRegister'),
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register'),
      },
      {
        path: 'forget',
        name: 'forget',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/ForgetPassword'),
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult'),
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined,
      },
      {
        path: 'download',
        name: 'download',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/DownLoad'),
      },
    ],
  },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404'),
  },
  {
    path: '/document/bimView',
    name: 'BimView',
    component: () => import('@/views/document/bimView.vue'),
    meta: {
      keepAlive: true,
    },
  },
  {
    path: '/document/cesium',
    name: 'Cesium',
    component: () => import('@/views/document/cesium.vue'),
    meta: {
      keepAlive: true,
    },
  },
]
