/**
 * Custom icon list
 * All icons are loaded here for easy management
 * @see https://vue.ant.design/components/icon/#Custom-Font-Icon
 *
 * 自定义图标加载表
 * 所有图标均从这里加载，方便管理
 */
import asset from '@/assets/icons/asset.svg?inline' // path to your '*.svg?inline' file.
import requirement from '@/assets/icons/requirement.svg?inline' // path to your '*.svg?inline' file.
import project from '@/assets/icons/project.svg?inline' // path to your '*.svg?inline' file.
import company from '@/assets/icons/company.svg?inline' // path to your '*.svg?inline' file.
import document from '@/assets/icons/document.svg?inline' // path to your '*.svg?inline' file.
import setting from '@/assets/icons/setting.svg?inline' // path to your '*.svg?inline' file.
import approval from '@/assets/icons/approval.svg?inline' // path to your '*.svg?inline' file.
import dashboard from '@/assets/icons/dashboard.svg?inline' // path to your '*.svg?inline' file.

export { asset, requirement, project, company, document, setting, approval, dashboard }
