export default {
  'global.Help': '帮助',
  'global.Privacy': '隐私',
  'global.Term': '条款',
  'global.Welcome-Back': '欢迎回来',
  'global.Submit': '提交',
  'global.Cancel': '取消',
  'global.Operation-Successful': '操作成功',
  'global.Operation': '操作',
  'global.Sure-Del': '您确定要删除吗？',
  'global.Yes': '是',
  'global.No': '否',
  save: '保存',
  'submit.ok': '提交成功',
  'save.ok': '保存成功',
  'global.Normal': '正常',
  'global.Closed': '结束',
  'global.Start': '开始',
  'global.Close': '关闭',
  'global.Open': '开启',
  'global.Name': '名称',
  'global.Email': '邮箱',
  'global.Email-Subject': '邮箱主题',
  'global.Abbr': '简称',
  'global.Add': '新增',
  'global.Batch': '批量新增',
  'global.Edit': '编辑',
  'global.Detail': '详情',
  'global.Delete': '删除',
  'global.Approval': '审批',
  'global.Initiate-Approval': '发起审批',
  'global.Reset': '重置',
  'global.Search': '搜索',
  'global.Export': '导出',
  'global.Import': '导入',
  'global.DownloadImportTemplate': '下载导入模版文件',
  'global.Print': '打印',
  'global.Overview': '总览',
  'global.Sequence': '排序',
  'global.Action': '操作',
  'global.AssetGroup': '资产组',
  'global.AllAsset': '全部资产',
  'global.Requirement': '需求',
  'global.Task': '任务',
  'global.KanBan': '看板',
  'global.GroupView': '分组视图',
  'global.Gantt': '甘特图',
  'global.Team': '团队',
  'global.Dynamics': '动态',
  'global.Placeholder-input': '请输入',
  'global.Placeholder-select': '请选择',
  'global.Requirement-Nums': '需求数量',
  'global.Plan-Nums': '计划数量',
  'global.Project-Nums': '项目数量',
  'global.Status': '状态',
  'global.Create-Time': '创建时间',
  'global.See-All': '查看全部',
  'global.Unexpired': '未过期',
  'global.Address': '地址',
  'global.Geo-Code': '区域码',
  'global.Location': '经纬度',
  'global.Description': '描述',
  'global.Acl': '访问控制',
  'global.Acl-Title-Asset': '请选择用户',
  'global.Acl-Title-Task': '请选择团队成员',
  'global.Acl-Private-Only-Team': '私有 (仅项目团队成员可以访问它)',
  'global.Acl-Private-Only-Creator': '私有 (仅创建人可以访问它)',
  'global.Acl-Custom-Only-Team': '自定义 (团队成员和白名单成员可以访问它)',
  'global.Acl-Custom-Only-Whitelist': '自定义 (白名单成员可以访问它)',
  'global.Private': '私有',
  'global.Custom': '自定义',
  'global.Begin': '开始时间',
  'global.End': '结束时间',
  'global.Title': '标题',
  'global.Duration': '期间',
  'global.ReviewedBy': '审核人',
  'global.CreateBy': '创建人',
  'global.Group': '组',
  'global.Priority': '优先级',
  'global.Base': '主要信息',
  'global.Other': '其他信息',
  'global.More': '更多',
  'global.History': '历史',
  'global.Comment': '评论',
  'global.Parent-Module': '父模块',
  'global.CC': '抄送邮箱',
  'global.Note': '备注',
  'global.File': '附件',
  'global.Folder': '文件夹',
  'global.Click-Upload': '点击上传',
  'global.Keep-one': '请至少保留一项',
  'global.Select-one': '请至少选择一项',
  'global.Required-fields': '请完善必填字段',
  'global.DownLoad': '下载',
  'global.UpLoad': '上传',
  'global.File-Name': '文件名称',
  'global.Folder-Name': '文件夹名称',
  'global.File-Size': '文件大小',
  'global.Uploader': '上传人',
  'global.Upload-Time': '上传时间',
  'global.ReName': '重命名',
  'global.Back': '返回',
  'global.Requirement-Life': '需求生命周期',
  'global.Module': '模块',
  'global.Total': '总数',
  'global.Manager': '管理员',
  'global.Disabeld': '禁用',
  'global.Enable': '可用',
  'global.Phone': '电话',
  'global.Account': '账户',
  'global.Password': '密码',
  'global.Password-Confirm': '确认密码',
  'global.Password-Login': '登录密码',
  'global.Gender': '性别',
  'global.male': '男',
  'global.female': '女',
  'global.P-f': '密码必须至少包含一个小写字母、一个大写字母、一位数字，并且长度至少为6个字符',
  'global.desc': '降序',
  'global.asc': '升序',
  'global.Name-Rule': '命名规则',
  'global.Doc-Stage': '文档阶段',
  'global.Doc-Type': '文档类型',
  'global.Task-Type': '任务类型',
  'global.Auto-Name': '自动命名',
  'global.Delay': '延期',
  'global.Suspend': '暂停',
  'global.Done': '结束',
  'global.Custom-Select': '自定义选择',
  'global.Whitelist': '白名单',
  'global.Update': '修改了',
  'global.Old-Value': '旧值为',
  'global.New-Value': '新值为',
  'global.Assign': '指派',
  'global.Confirm-Password': '确认密码不匹配',
  'global.Login-Password-Error': '登录密码错误',
  'global.Phone-Error': '手机号格式错误',
  'global.Login-Password-Require': '请输入登录密码',
  'global.Email-Error': '邮箱格式错误',
  'global.Add-Comment': '新增评论',
  'global.Select-NameRule': '请选择命名规则',
  'global.Select-User-Invalid': '选择的用户无效',
  'global.This-type-approval-exists': '已存在该类型审批流',
  'global.Sorry-page': '抱歉，您没有权限访问该页面。',
  'global.Back-Home': '返回首页',
  'global.Type-Library': '容器库类型',
  'global.Type-Container': '容器类型',
}
